=== debian/changelog ===
cal3d (0.11.0-8.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:24:57 +0000

cal3d (0.11.0-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062036

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 05:35:38 +0000

cal3d (0.11.0-8) unstable; urgency=medium

  * QA upload.
  * Move Homepage and d/watch to mp3butcher.github.io.  Closes: #975383.
  * Convert d/copyright do machine-readable format.

 -- Bastian Germann <bage@debian.org>  Sat, 25 Feb 2023 14:22:13 +0100

cal3d (0.11.0-7.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 13 Jun 2022 15:34:00 +0200

cal3d (0.11.0-7) unstable; urgency=medium

  * QA upload.
  * Convert to source format 3.0 (quilt).
  * Bump compat to 9, no dh conversion yet.
  * Fix FTBFS with gcc-6, thanks Alberto Luaces.  Closes: #811667, #831139.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 21 Jul 2016 07:23:42 +0200

cal3d (0.11.0-6) unstable; urgency=medium

  * QA upload
  * Release to unstable

  [ Maria Valentina Marin <marivalenm@gmail.com> ]
  * Removed $datetime from the file api_footer.html to make package
    reproducible (Closes: #787916)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 14 Aug 2015 15:59:16 +0100

cal3d (0.11.0-5) experimental; urgency=medium

  * QA upload
  * Assign to the QA Group (it was already orphaned)
  * Rename library packages with v5 postfix for GCC-5 / libstdc++ ABI
    transition
  * Add ${misc:Depends} to Depends in d/control packages to avoid lintian
    warnings

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 14 Aug 2015 15:16:46 +0100

cal3d (0.11.0-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch from Ubuntu to use dh-autoreconf for better support of new
    architectures.  Thanks Logan Rosen (Closes: #727335)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 16 May 2014 23:00:23 +0100

cal3d (0.11.0-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added build-arch and build-indep targets.
    (Closes: #647800)
  * Enable harding flags by using dpkg-buildflags.

 -- Niels Thykier <niels@thykier.net>  Sun, 06 Nov 2011 13:55:19 +0100

cal3d (0.11.0-4) unstable; urgency=low

  * Updated config.guess and config.sub (Closes: #528398).
  * debian/copyright: Rewritten to include all needed infos.
  * debian/control: Updated Build-Depends to debhelper (>= 5).
  * debian/control: Updated Standards-Version.
  * src/cal3d_converter.1.in: Fixed comment lines with license.
  * debian/watch: Use new upstream website.

 -- Michael Koch <konqueror@gmx.de>  Tue, 21 Jul 2009 22:03:16 +0200

cal3d (0.11.0-3) unstable; urgency=low

  * Fix includes for GCC 4.3. Closes: #455450.
  * Use Homepage field instead of pseudo-field in long descriptions.
  * Updated Standards-Version to 3.7.3.

 -- Michael Koch <konqueror@gmx.de>  Tue, 11 Dec 2007 08:19:07 +0100

cal3d (0.11.0-2) unstable; urgency=low

  * Upload to unstable.
  * Replaced obsoleted ${Source-Version} in debian/control.
  * Moved libcal3d-doc package to doc section.
  * Make clean target don't fail when no Makefile exists.
  * Disabled tests.
  * Added Homepage tag to package descriptions

 -- Michael Koch <konqueror@gmx.de>  Sat, 30 Jun 2007 06:17:41 -0100

cal3d (0.11.0-1) experimental; urgency=low

  * New upstream release.
  * Upload to experimental.

 -- Michael Koch <konqueror@gmx.de>  Mon,  3 Jul 2006 06:27:15 +0000

cal3d (0.10.0+0.11.0+rc2-1) unstable; urgency=low

  * New upstream release.
  * Run make check during build.
  * Include cal3d_converter into libcal3d12.

 -- Michael Koch <konqueror@gmx.de>  Thu, 15 Jun 2006 05:31:27 +0000

cal3d (0.10.0+0.11rc1.0-1) unstable; urgency=low

  * New upstream release.

 -- Michael Koch <konqueror@gmx.de>  Sun, 28 May 2006 14:10:06 +0000

cal3d (0.10.0-7) unstable; urgency=low

  * Really include the static library (Closes: #347798).

 -- Michael Koch <konqueror@gmx.de>  Sun, 29 Jan 2006 14:19:50 +0000

cal3d (0.10.0-6) unstable; urgency=low

  * Rebuild with correct compiler.

 -- Michael Koch <konqueror@gmx.de>  Tue, 17 Jan 2006 14:55:10 +0000

cal3d (0.10.0-5) unstable; urgency=low

  * Include static library in libcal3d11-dev (Closes: #347798).
  * Updated watch file.

 -- Michael Koch <konqueror@gmx.de>  Sat, 14 Jan 2006 10:27:42 +0000

cal3d (0.10.0-4) unstable; urgency=low

  * Renamed the library package again to be compliant with the transition
    plan. Make libcal3d11-dev depend on the correct library package
    (Closes: #341671).

 -- Michael Koch <konqueror@gmx.de>  Sat,  3 Dec 2005 20:12:16 +0000

cal3d (0.10.0-3) unstable; urgency=low

  * Did the new C++ ABI transition and renamed some packages (Closes: #339155).

 -- Michael Koch <konqueror@gmx.de>  Sat, 26 Nov 2005 15:53:18 +0000

cal3d (0.10.0-2) unstable; urgency=low

  * debian/libcal3d-doc.install: Include all API documentation files
    (Closes: #326624)

 -- Michael Koch <konqueror@gmx.de>  Sun,  4 Sep 2005 16:42:08 +0000

cal3d (0.10.0-1) unstable; urgency=low

  * New upstream release (Closes: #325108)
  * Updated Standards-Version to 3.6.2

 -- Michael Koch <konqueror@gmx.de>  Tue, 30 Aug 2005 05:32:20 +0000

cal3d (0.9.1+cvs20041122-1) unstable; urgency=low

  * New CVS snapshot

 -- Michael Koch <konqueror@gmx.de>  Mon, 22 Nov 2004 10:50:00 +0000

cal3d (0.9.1+cvs20041028-2) unstable; urgency=low

  * Upload to unstable
  * Fixed debian/watch to recognize .tar.bz2 suffix

 -- Michael Koch <konqueror@gmx.de>  Tue, 16 Nov 2004 16:45:56 +0000

cal3d (0.9.1+cvs20041028-1) experimental; urgency=low

  * New CVS snapshot
  * Don't provide static library
  * Added shared library package (Closes: #277820)
  * Added documentation package
  * Revisited debian/rules

