=== debian/control ===
Source: cal3d
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 9), doxygen, dpkg-dev (>= 1.16.1), dh-autoreconf
Standards-Version: 3.9.8
Homepage: https://mp3butcher.github.io/Cal3D/

Package: libcal3d12t64
Provides: ${t64:Provides}
X-Time64-Compat: libcal3d12v5
Breaks: libcal3d12v5 (<< ${source:Version})
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libcal3d12
Replaces: libcal3d12v5, libcal3d12
Description: Skeletal based 3d character animation library
 Cal3d is a skeletal based 3d character animation library
 written in C++ in a platform-/graphic API-independent way.
 It has an unified exporter plugin framework. Currently it
 includes exporters 16 for 3D Studio Max and MilkShape 3D).
 .
 This package contains the cal3 runtime library.

Package: libcal3d12-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libcal3d12t64 (= ${binary:Version})
Conflicts: libcal3d-dev, libcal3d10-dev
Replaces: libcal3d-dev, libcal3d10-dev
Provides: libcal3d-dev
Description: Skeletal based 3d character animation library - development files
 Cal3d is a skeletal based 3d character animation library
 written in C++ in a platform-/graphic API-independent way.
 It has an unified exporter plugin framework. Currently it
 includes exporters 16 for 3D Studio Max and MilkShape 3D).
 .
 This package contains the cal3 development files.

Package: libcal3d-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: libcal3d12-dev (>= ${source:Version})
Description: Skeletal based 3d character animation library - API documentation
 Cal3d is a skeletal based 3d character animation library
 written in C++ in a platform-/graphic API-independent way.
 It has an unified exporter plugin framework. Currently it
 includes exporters 16 for 3D Studio Max and MilkShape 3D).
 .
 This package contains the cal3 API documentation.
