=== debian/watch ===
version=4
https://mp3butcher.github.io/Cal3D/ .*/sources/cal3d-([0-9\.]+)\.tar\.gz debian
